/*
 * This file is part of Pastie
 *
 * Pastie is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * Pastie is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Pastie. If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @copyright  2015 Steffen Vogel
 * @license	   http://www.gnu.org/licenses/gpl.txt GNU Public License
 * @author     Steffen Vogel <steffen.vogel@rwth-aachen.de>
 * @link       http://www.steffenvogel.de
 */

#ifndef FILTERS_H
#define FILTERS_H

#include "filters/blur.h"
#include "filters/channel.h"
#include "filters/convert.h"
#include "filters/edgedetect.h"
#include "filters/fourier.h"
#include "filters/histequalize.h"
#include "filters/kmeans.h"
#include "filters/maxchannel.h"
#include "filters/morph.h"
#include "filters/normalize.h"
#include "filters/pattern.h"
#include "filters/perspective.h"
#include "filters/paddetect.h"
#include "filters/padfilter.h"
#include "filters/threshold.h"
#include "filters/undistort.h"
#include "filters/watershed.h"
#include "filters/derivative.h"
#include "filters/rectify.h"
#include "filters/pathplanner.h"
#include "filters/resize.h"
#include "filters/rotate.h"
#include "filters/homography.h"

#endif // FILTERS_H

